declare type StrOrNum = string | number;
export declare class CssTransform {
    matrix: StrOrNum[];
    matrix3d: StrOrNum[];
    perspective: [StrOrNum];
    rotate: [StrOrNum];
    rotate3d: [StrOrNum, StrOrNum, StrOrNum, StrOrNum];
    rotateX: [StrOrNum];
    rotateY: [StrOrNum];
    rotateZ: [StrOrNum];
    translate: [StrOrNum, StrOrNum];
    translate3d: [StrOrNum, StrOrNum, StrOrNum];
    translateX: [StrOrNum];
    translateY: [StrOrNum];
    translateZ: [StrOrNum];
    scale: [StrOrNum, StrOrNum];
    scale3d: [StrOrNum, StrOrNum, StrOrNum];
    scaleX: [StrOrNum];
    scaleY: [StrOrNum];
    scaleZ: [StrOrNum];
    skew: [StrOrNum, StrOrNum];
    skewX: [StrOrNum];
    skewY: [StrOrNum];
    constructor(transformString?: string);
    static parse(transformString: string): CssTransform;
    toString(): string;
}
export {};
