export declare class Transform {
    matrix: string[];
    matrix3d: string[];
    perspective: [string];
    rotate: [string];
    rotate3d: [string, string, string, string];
    rotateX: [string];
    rotateY: [string];
    rotateZ: [string];
    translate: [string, string];
    translate3d: [string, string, string];
    translateX: [string];
    translateY: [string];
    translateZ: [string];
    scale: [string, string];
    scale3d: [string, string, string];
    scaleX: [string];
    scaleY: [string];
    scaleZ: [string];
    skew: [string, string];
    skewX: [string];
    skewY: [string];
    static parse(transformString: string): Transform;
    toString(): string;
}
